<?php

namespace Factory;

use \Teknisa\Model\Teknisa\Entities;

class Soliserv {


    public function saveOrcasolicita(Entities\Orcasolicita $entity = null, Entities\Soliserv $soliserv)
    {
        if (!$entity) {
            $entity = new Entities\Orcasolicita();
        }
        $entity->setCdfilial($soliserv->getCdfilial());
        $entity->setNrorg($soliserv->getNrorg());
        $entity->setNrsoliserv($soliserv->getNrsoliserv());
        return $entity;
    }

    public function createParcsoliserv( Entities\Soliserv $soliserv,$numPlot,$value)
    {

        $entity = new Entities\Parcsoliserv();
        $entity->setCdfilial($soliserv->getCdfilial());
        $entity->setNrorg($soliserv->getNrorg());
        $entity->setNrsoliserv($soliserv->getNrsoliserv());
        $entity->setNrparcsoli($numPlot);
        $entity->setVrparcsoli($value);
        return $entity;
    }
    public function updateParcsoliserv( Entities\Parcsoliserv $entity,$numPlot,$value)
    {
        $entity->setNrparcsoli($numPlot);
        $entity->setVrparcsoli($value);
        return $entity;
    }

    public function setOrcasolicitaEstimatValues(Entities\Orcasolicita $entity)
    {
        if (!$entity->getQtitorcsocal()) {
            $entity->setQtitorcsocal($entity->getQtitorcsolic());
        }
        if (!$entity->getVrorcsolical()) {
            $entity->setVrorcsolical($entity->getVrorcadosoli());
        }
        return $entity;
    }
}
